Subject: Re: [PATCH] mlx4_en: Fix double pci unmapping.

From: Roland Dreier <[email-masked]>
Date: Sun, 02 Aug 2009 22:10:30 -0700

> Ok, I'm just going to apply this.  Waiting more than a week to get
 > feedback from Roland for a bug fix like this is not reasonable.

Dave, for the mlx4 ethernet (mlx4_en) driver patches you can go ahead
and apply them without worrying about me -- Yevgeny was the original
author of that code and I consider him more than qualified to handle
that.  It's the mlx4_core changes that I prefer to handle, since I wrote
the original driver there, and mlx4_core changes potentially hit the
mlx4_ib InfiniBand driver too.

I realize that it's one more annoying thing to keep track of (although
Yevgeny has been great about sending mlx4_en patches to you and
mlx4_core patches to me -- but I understand your workflow makes looking
at the "To:" line hard).  That's why I suggested moving the mlx4_core
driver out of drivers/net/mlx4.  So that the two drivers are physically
separate, to make things clearer.

 - R.